# Visual Studio files
.vs/

# Build output
bin/
obj/

# NuGet packages
*.nuget.cache
*.dll
*.pdb
*.exe

# MSTest test Results
TestResults/

# Roslyn Analyzer ruleset cache
*.ruleset.cache

# ReShaper files
_ReSharper*/
*.ReSharper*

# User-specific files
*.user
*.userosscache
*.suo
*.sln.docstates
*.cache

# SQL Server files
*.mdf
*.ldf
*.ndf

# .NET project specific files/folders
*.swp
*.swo
*.sln.ide
*.sln.dotsettings
*.csproj.user